/* Mario Flying Demo - Part I
   for the Nintendo Virtual Boy
   (c) 2002 frostgiant

   "Pre-Release" on 15-September-2001

   Instructions for building with VECC:
   Type in "vecc mariofly.c mariofly.vb" and you're done. */


#include "vblib.h"
#include "char.h"
#include "map.h"

void main()
{
        HWORD key=0;
        int x=0;
        int y=0;
        int d=5;

        display_init();   

        memcpy((void*)CharSeg0, (void*)CharSet0, 143*16);
        memcpy((void*)BGMap(0), (void*)BGMap0, 200*8);

        WORLD_HEAD(31,0xC000);
        WORLD_GSET(31,0,0,0);
        WORLD_MSET(31,0,0,0);
        WORLD_SIZE(31,127,104);   

        display_on();
        display_show();

        while(1)
        {
           key=readpad();

           if(key&K_LU)        y--;
           if(key&K_LD)        y++;
           if(key&K_LL)        x--;
           if(key&K_LR)        x++;

           WORLD_GSET(31,x,0,y);

           delay(d);
        }     
}

